=== debian/changelog ===
ros-indigo-fanuc-driver (0.4.4-0trusty) trusty; urgency=high

  * add custom manifest tags to make package support level explicit.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

ros-indigo-fanuc-driver (0.4.3-0trusty) trusty; urgency=high

  * update comment for Pressure Abnormal safety signal in Karel sources.
  * for a complete list of changes see the commit log for 0.4.3 <https://github.com/ros-industrial/fanuc/compare/0.4.2...0.4.3>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 13 Oct 2017 22:00:00 -0000

ros-indigo-fanuc-driver (0.4.2-0trusty) trusty; urgency=high

  * add readme to explain that low-level launch files should probably not be used directly.
  * increase default Karel loop rate to 42 Hz (ref: #203 <https://github.com/ros-industrial/fanuc/issues/203>).
  * minor: remove 'irs_in_mtn' prototype from Karel library.
  * add XML schema processing instruction (#200 <https://github.com/ros-industrial/fanuc/issues/200>).
  * for a complete list of changes see the commit log for 0.4.2 <https://github.com/ros-industrial/fanuc/compare/0.4.1...0.4.2>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 May 2017 22:00:00 -0000

ros-indigo-fanuc-driver (0.4.1-0trusty) trusty; urgency=high

  * minor: sort install targets in build scripts.
  * remove roslaunch test dependencies (#185 <https://github.com/ros-industrial/fanuc/issues/185>).
  * for a complete list of changes see the commit log for 0.4.1 <https://github.com/ros-industrial/fanuc/compare/0.4.0...0.4.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 16 Jun 2016 22:00:00 -0000

ros-indigo-fanuc-driver (0.4.0-0trusty) trusty; urgency=high

  * first Indigo release.
  * upgrade manifests to package format 2 (#115 <https://github.com/ros-industrial/fanuc/issues/115>).
  * general cleanup of XML files (launch, manifests, roslaunch tests, xacros).
  * add ROS Index tags to package manifests (#147 <https://github.com/ros-industrial/fanuc/issues/147>).
  * document launch file arguments (#165 <https://github.com/ros-industrial/fanuc/issues/165>).
  * use multi-arg install rule instead of for-loop.
  * for a complete list of changes see the commit log for 0.4.0 <https://github.com/ros-industrial/fanuc/compare/0.3.2...0.4.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 10 Oct 2015 22:00:00 -0000

ros-indigo-fanuc-driver (0.3.2-0trusty) trusty; urgency=high

  * abort on missing J23_factor param (#152 <https://github.com/ros-industrial/fanuc/issues/152>).
  * add readmes to all packages (#153 <https://github.com/ros-industrial/fanuc/issues/153>).
  * for a complete list of changes see the commit log for 0.3.2 <https://github.com/ros-industrial/fanuc/compare/0.3.1...0.3.2>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-fanuc-driver (0.3.1-0trusty) trusty; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.3.1 <https://github.com/ros-industrial/fanuc/compare/0.3.0...0.3.1>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 20 Jan 2015 23:00:00 -0000

ros-indigo-fanuc-driver (0.3.0-0trusty) trusty; urgency=high

  * promote experimental packages for M-10iA, M-16iB, M-20iA, M-430iA and LR Mate 200iC to main repository.
  * Karel driver updates:
    
      * explicit socket close on ABORT (#27 <https://github.com/ros-industrial/fanuc/issues/27>)
      * improve use of Karel built-in routines and constants (math, IO, TP keys) (#50 <https://github.com/ros-industrial/fanuc/issues/50>)
      * update translator directives and header documentation
      * update copyright notices and Karel library versions
      * introduce include dir
      * include trajectory relay program status in 'motion_possible' calculation (#108 <https://github.com/ros-industrial/fanuc/issues/108>)
      * fixup use of underscore suffixes to convey routine & variable scope
    
  * explicitly declare dependencies of roslaunch tests (#70 <https://github.com/ros-industrial/fanuc/issues/70>).
  * for a complete list of changes see the commit log for 0.3.0 <https://github.com/ros-industrial/fanuc/compare/0.2.0...0.3.0>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 07 Jan 2015 23:00:00 -0000

ros-indigo-fanuc-driver (0.2.0-0trusty) trusty; urgency=high

  * first Hydro release.
  * Karel driver updates:
    
      * cleanup variable scopes at program and routine level
      * allow runtime configuration of important settings (#71 <https://github.com/ros-industrial/fanuc/issues/71>, #8 <https://github.com/ros-industrial/fanuc/issues/8>, #2 <https://github.com/ros-industrial/fanuc/issues/2>)
      * use controller Alarm Log to post ROS-I warnings and errors (#73 <https://github.com/ros-industrial/fanuc/issues/73>)
      * fix faulty detection of controller operating mode (#3 <https://github.com/ros-industrial/fanuc/issues/3>)
    
  * make all directories lowercase (#23 <https://github.com/ros-industrial/fanuc/issues/23>)
  * cleanup of all CMakeLists and package manifests:
    
      * link to simple_message as well (#59 <https://github.com/ros-industrial/fanuc/issues/59>)
      * link against catkin_LIBRARIES (#57 <https://github.com/ros-industrial/fanuc/issues/57>)
      * prefix CMake targets with PROJECT_NAME (#47 <https://github.com/ros-industrial/fanuc/issues/47>)
      * closing keywords should have empty parenthesis (#62 <https://github.com/ros-industrial/fanuc/issues/62>)
      * update CMakeLists to follow Catkin CMake coding standards (#62 <https://github.com/ros-industrial/fanuc/issues/62>)

