=== debian/control ===
Source: ros-indigo-fanuc-driver
Section: misc
Priority: extra
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-industrial-robot-client, ros-indigo-roslaunch (>= 1.9.55)
Homepage: http://wiki.ros.org/fanuc_driver
Standards-Version: 3.9.2

Package: ros-indigo-fanuc-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-industrial-robot-client
Description: ROS-Industrial nodes for interfacing with Fanuc robot controllers.
 This package is part of the ROS-Industrial program and contains nodes for interfacing with Fanuc industrial robot controllers that support the KAREL programming environment.
